package com.yaohun.aulivecode;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.time.LocalDate;
import java.util.*;

public class ZhuboData {

    private String zhuBo;
    private String liveId;
    private LinkedHashMap<Integer,Integer> spectatorMap = new LinkedHashMap<>();
    private LinkedHashMap<Integer,Integer> adminMap = new LinkedHashMap<>();

    public ZhuboData(String zhuBo,ResultSet resultSet){
        this.zhuBo = zhuBo;
        System.out.println("[调试 - 输出] 主播名: "+zhuBo);
        try {
            this.liveId = resultSet.getString("tiktok");
            System.out.println("[调试 - 输出] 抖音号: "+liveId);
            String spectatorString = resultSet.getString("giftspectator");
            String[] stringList1 = spectatorString.split(",");
            int a = 1;
            for (String s : stringList1){
                int money = Integer.parseInt(s);
                spectatorMap.put(a,money);
                System.out.println("[调试 - 输出] "+a+"号    流水: "+money+"音浪");
                a++;
            }
            String giftadminiString = resultSet.getString("giftadmini");
            String[] stringList2 = giftadminiString.split(",");
            int b = 1;
            for (String s : stringList2){
                int money = Integer.parseInt(s);
                adminMap.put(b,money);
                System.out.println("[调试 - 输出] "+b+"号    对抗流水: "+money+"音浪");
                b++;
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

    public String getZhuBo() {
        return zhuBo;
    }

    public String getLiveId() {
        return liveId;
    }

    public LinkedHashMap<Integer, Integer> getAdminMap() {
        return adminMap;
    }

    public LinkedHashMap<Integer, Integer> getSpectatorMap() {
        return spectatorMap;
    }
    public List<Integer> getSpectatorList(){
        List<Integer> integerList = new ArrayList<>();
        LocalDate today = LocalDate.now();
        int dayOfMonth = today.getDayOfMonth();
        for (int number : spectatorMap.keySet()){
            if(number == dayOfMonth){
                integerList.add(88);
            }else {
                integerList.add(spectatorMap.get(number));
            }
        }
        return integerList;
    }
    public String getSpectatorConvertList(){
        StringJoiner joiner = new StringJoiner(",");
        for (int s : getSpectatorList()) {
            joiner.add(String.valueOf(s));
        }
        return joiner.toString();
    }
}
