package com.yaohun.aulivecode.database;

import com.yaohun.aulivecode.Main;
import com.yaohun.aulivecode.ZhuboData;
import com.yaohun.aulivecode.util.SqlUtil;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.sql.ResultSet;
import java.util.*;

public class SqlManager {


    public String table = "zhubo_data";

    // 创建数据库表格格式
    public void createTable() {
        // 数据库结构组成
        // 主播名字(VARCHAR)  抖音号(VARCHAR)  直播流水(VARCHAR) 运营礼物(VARCHAR)
        String s = "CREATE TABLE IF NOT EXISTS "+table+"(" +
                "    zhubo VARCHAR(32) NOT NULL," +
                "    tiktok VARCHAR(32) NOT NULL," +
                "    giftspectator VARCHAR(256) NOT NULL," +
                "    giftadmini VARCHAR(256) NOT NULL" +
                ") ENGINE = InnoDB";
        getSQL().openConnection();
        getSQL().updateSQL(s);
        getSQL().closeConnection();
    }

    // 创建主播档案数据
    public void createAnchorProfile(String zhubo,String tiktok){
        String set = "INSERT INTO "+table+" (`zhubo`, `tiktok`, `giftspectator`, `giftadmini`) VALUES ('%zhubo%', '%tiktok%', '%giftspectator%', '%giftadmini%')";
        getSQL().openConnection();
        set = set.replace("%zhubo%", zhubo).replace("%tiktok%", tiktok);
        List<Integer> integers = new ArrayList<>();
        for (int i = 1;i <= 30;i++){
            integers.add(0);
        }
        StringJoiner joiner = new StringJoiner(",");
        for (int s : integers) {
            joiner.add(String.valueOf(s));
        }
        set = set.replace("%giftspectator%", joiner.toString());
        set = set.replace("%giftadmini%", joiner.toString());
        getSQL().updateSQL(set);
        getSQL().closeConnection();
        Bukkit.getConsoleSender().sendMessage("§6[主播数据] §a主播档案创建。");
    }


    public ZhuboData getZhuboData(String name) {
        String select = "SELECT * FROM "+table+" WHERE zhubo = '%name%'";
        try {
            getSQL().openConnection();
            ResultSet resultSet = getSQL().querySQL(select.replace("%name%", name));
            while (resultSet.next()) {
                return new ZhuboData(name,resultSet);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            getSQL().closeConnection();
        }
        return null;
    }

    public HashMap<String, String> getAllZhuboData() {
        HashMap<String, String> map = new HashMap<>();
        String select = "SELECT * FROM "+table;
        try {
            getSQL().openConnection();
            ResultSet set = getSQL().querySQL(select);
            while (set.next()) {
                String zhubo = set.getString("zhubo");
                String tiktok = set.getString("tiktok");
                map.put(zhubo, tiktok);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            getSQL().closeConnection();
        }
        return map;
    }

    public void SavePlayerData(String name){
        if(Main.zhuboDataMap.get(name) == null){return;}
        ZhuboData dataAPI = Main.zhuboDataMap.get(name);
        String liveId = dataAPI.getLiveId();

        String set = "UPDATE `"+table+"` SET " +
                "`tiktok` = '%tiktok%'," +
                "`giftspectator` = '%giftspectator%' WHERE `"+table+"`.`zhubo` = '%player%'";
        getSQL().openConnection();
        getSQL().updateSQL(set.replace("%player%", name).
                replace("%tiktok%", liveId)
                .replace("%giftspectator%", dataAPI.getSpectatorConvertList()));
        getSQL().closeConnection();
    }

    private SqlUtil getSQL() {
        return Main.sqlUtil;
    }
}
