package com.yaohun.aulivecode.util;

import java.util.HashMap;
import java.util.LinkedHashMap;

public class GiftMoney {

    private LinkedHashMap<String,Integer> giftMap = new LinkedHashMap<>();
    public GiftMoney(){
        /*活动新增*/
        giftMap.put("粘人小狗",1);
        giftMap.put("西瓜",1);
        giftMap.put("冰镇西瓜",99);
        giftMap.put("夏日冰饮",99);
        /*长期存在的礼物*/
        giftMap.put("粉丝团灯牌",1);
        giftMap.put("为你闪耀",9);
        giftMap.put("人气票",1);
        giftMap.put("小心心",1);
        giftMap.put("玫瑰",1);
        giftMap.put("抖音",1);
        giftMap.put("称心如意",1);
        giftMap.put("你最好看",2);
        giftMap.put("啤酒",2);
        giftMap.put("棒棒糖",9);
        giftMap.put("鲜花",10);
        giftMap.put("加油鸭",15);
        giftMap.put("爱你哟",52);
        giftMap.put("Thuglife",99);
        giftMap.put("闪耀星辰",99);
        giftMap.put("亲吻",99);
        giftMap.put("比心兔兔",299);
        giftMap.put("热气球",520);
        giftMap.put("跑车",1200);
        giftMap.put("礼花筒",199);
        giftMap.put("捏捏小脸",99);
        giftMap.put("鹿仙子",99);
        giftMap.put("夏威夷花环",99);
        giftMap.put("爱的纸鹤",99);
        giftMap.put("送你花花",49);
        giftMap.put("女神花环",99);
        giftMap.put("鱼你一起",99);
        giftMap.put("真爱玫瑰",366);
        giftMap.put("为你举牌",199);
        giftMap.put("兔耳朵",99);
        giftMap.put("龙抬头",99);
        giftMap.put("花开烂漫",466);
        giftMap.put("比心",199);
        giftMap.put("真的爱你",520);
        giftMap.put("万象烟花",688);
        giftMap.put("私人飞机",3000);
        giftMap.put("浪漫烟花",599);
        giftMap.put("闪亮登场",460);
        giftMap.put("多喝热水",126);
        giftMap.put("一点心意",266);
        giftMap.put("荧光棒",99);
        giftMap.put("娶你回家",599);
        giftMap.put("掌上明珠",888);
        giftMap.put("摧残舞台",899);
        giftMap.put("星星点灯",268);
        giftMap.put("一束花开",366);
        giftMap.put("小傻猪",299);
        giftMap.put("环球旅行车",650);
        giftMap.put("爱的守护",299);
        giftMap.put("好运莲莲鸭",299);
        giftMap.put("日出相伴",726);
        giftMap.put("永生花",520);
        giftMap.put("纸短情长",921);
        giftMap.put("直升机",2999);
        giftMap.put("蝶·连理枝",280);
        giftMap.put("爱情树下",599);
        giftMap.put("灵龙现世",600);
        giftMap.put("爱心煎蛋",99);
        giftMap.put("夏日回忆",1000);
        giftMap.put("抖音1号",10001);
        giftMap.put("繁花秘语",1314);
        giftMap.put("ONE礼挑一",299);
        giftMap.put("重拳出击",199);
        giftMap.put("花落长亭",1588);
        giftMap.put("浪漫恋人",1999);
        giftMap.put("花海泛舟",2800);
        giftMap.put("豪华邮轮",6000);
        giftMap.put("环游世界",3000);
        giftMap.put("蝶·书中情",750);
        giftMap.put("带你去海边",4500);
        giftMap.put("蜜蜂叮叮",1000);
        giftMap.put("奇幻八音盒",2399);
        giftMap.put("光之祝福",1999);
        giftMap.put("消暑罐头车",1500);
        giftMap.put("月色山茶花",1999);
        giftMap.put("为你而来",1688);
        giftMap.put("点亮孤单",1800);
        giftMap.put("浪漫营地",1699);
        giftMap.put("薰衣草庄园",3300);
        giftMap.put("红墙白雪",1688);
        giftMap.put("华灯初上",5000);
        giftMap.put("嘉年华",30000);
        giftMap.put("单车恋人",1899);
        giftMap.put("为爱启航",10001);
        giftMap.put("镜中奇缘",1500);
        giftMap.put("仲夏夜之梦",8999);
        giftMap.put("龙珠纳福",2388);
        giftMap.put("蝶·比翼鸟",1700);
        giftMap.put("无畏守护",10168);
        giftMap.put("壁上飞仙",4999);
        giftMap.put("海上生明月",4166);
        giftMap.put("铁甲柔情",3800);
        giftMap.put("心动丘比特",4321);
        giftMap.put("变形战车",5500);
        giftMap.put("抖音飞艇",20000);
        giftMap.put("冰冻战车",3000);
        giftMap.put("星际玫瑰",7500);
        giftMap.put("奏响人生",3666);
        giftMap.put("摩天大厦",8222);
        giftMap.put("传送门",2999);
        giftMap.put("云中秘境",13140);
        giftMap.put("火龙爆发",5000);
        giftMap.put("福佑万家",4888);
        giftMap.put("天空之镜",6399);
        giftMap.put("情定三生",9666);
        giftMap.put("月下瀑布",6666);
        giftMap.put("金鳞化龙",9000);
        giftMap.put("蝶·化蝶飞",10999);
        giftMap.put("无尽浪漫",19999);
        giftMap.put("云霄大厦",7888);
        giftMap.put("梦幻城堡",28888);
        giftMap.put("真爱永恒",8999);
        giftMap.put("跨时空之恋",9000);
        giftMap.put("炫彩射击",1888);
        giftMap.put("一路有你",17999);
        giftMap.put("浪漫马车",28888);
        giftMap.put("蝶·寄相思",6800);
        giftMap.put("梦回紫禁城",8666);
        giftMap.put("小纸条",399);
        giftMap.put("如意锦囊",99);
        giftMap.put("星光瓶",900);
        giftMap.put("一直陪伴你",520);
        giftMap.put("动次打次",2999);
        giftMap.put("宇宙之心",18888);
    }

    public int getGiftValue(String giftName){
        if(giftMap.get(giftName) != null){
            return giftMap.get(giftName);
        }
        return 0;
    }
}
